#include <stdio.h>
#include <string.h>

int main ()
{
	char c1,c2;
	int a1,a2,i;

	
	printf ("Uneti slova c1 i c2: ");
	scanf ("%c%c",&c1, &c2);
	printf ("Unesi brojeve a1 i a2: ");
	scanf ("%d %d",&a1,&a2);
	
	int n=a1+a2;
	
	char str[100];
	
	if (a1-a2==0 || a2-a1==0 )
	{
		for (i=0;i<n/2;i++)
		{
			strncat(str, &c1, 1);
			strncat(str, &c2, 1);
		}
	}
		
	if (a1-a2==1 || a2-a1==1)
	{
		if (a1>a2)
		{
			for (i=0;i<n;i++)
			{
				if (i%2==0)
				{
					strncat(str, &c1, 1);
				}
				
				if (i%2==1)
				{
					strncat(str, &c2, 1);
				}
				
			}
		}
		
	else if (a1<a2)
		{
			for (i=0;i<n;i++)
			{
				if (i%2==0)
				{
					strncat(str, &c2, 1);
				}
				
				if (i%2==1)
				{
					strncat(str, &c1, 1);
				}
			}
		}
	}
	else printf ("nemoguce");
	
	
	
	printf ("%s",str);
	
	return 0;
}